/*#region setting*/
* {
    box-sizing: border-box;
}

p {
    margin: 0 0 5px 0;

    &:last-of-type {
        margin-bottom: 0;
    }
}

b {
    font-weight: $font-weight-bold;
}

a {
    text-decoration: none;
    @include animation();
    color: $black;

    &:hover {
        color: $primary-color;
    }

    &:hover,
    &:active,
    &:visited,
    &:focus {
        text-decoration: none;
    }
}

button {
    @include animation();
}

body {
    font-family: $font-family-primary;
    font-weight: $font-weight-normal;
    font-style: normal;
    color: $black;
    overflow-x: hidden;
    margin: 0;
    background: url("/tenants/blognews/themes/blognews/global/img/body-bg7.png") repeat;
    background: #8e97ab;
}

img,
iframe {
    max-width: 100%;
}

.container {
    width: 1200px;
    max-width: 100%;
    margin: 0 auto;
    -webkit-box-shadow: 0 0 3px #CACACA;
    -moz-box-shadow: 0 0 3px #cacaca;
    box-shadow: 0 0 3px #CACACA;
    padding: 0 15px;
}

.fb-comments {
    width: 100%;

    > span {
        width: 100% !important;

        iframe {
            width: 100% !important;
        }
    }
}

.visible-xs,
.visible-sm,
.visible-md,
.visible-lg {
    display: none !important;
}

/*#endregion*/

/*#region Loading Page*/
#loading {
    position: fixed;
    z-index: 100;
    background-color: transparent;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    display: none;

    .loading-content {
        @include flex-center();
        width: 100%;
        height: 100%;
    }

    svg {
        position: absolute;
        top: 50%;
        left: 50%;
        -ms-transform: translate(-50%, -50%);
        -webkit-transform: translate(-50%, -50%);
        transform: translate(-50%, -50%);

        path {
            fill: $primary-color;
        }
    }
}

/*#endregion*/

/*#region flex */
.flex-container {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -webkit-flex-direction: row;
    -ms-flex-direction: row;
    flex-direction: row;
    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -webkit-flex-flow: row wrap;
    -ms-flex-flow: row wrap;
    flex-flow: row wrap;
    -ms-flex-pack: distribute;
}

.flex-center {
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
    -ms-flex-pack: center;
    justify-content: center;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
}

.item-flex {
    display: -moz-flex;
    display: -ms-flex;
    display: -o-flex;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-direction: -webkit-column;
    flex-direction: -webkit-column;
    flex-direction: -moz-column;
    -ms-flex-direction: -ms-column;
    flex-direction: -ms-column;
    flex-direction: -o-column;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
    flex-direction: column;

    .text-container {
        display: -moz-flex;
        display: -ms-flex;
        display: -o-flex;
        display: -webkit-box;
        display: -webkit-flex;
        display: -ms-flexbox;
        display: flex;
        -moz-flex: 1 0 auto;
        -o-flex: 1 0 auto;
        -webkit-box-flex: 1;
        -webkit-flex: 1 0 auto;
        -ms-flex: 1 0 auto;
        flex: 1 0 auto;
        -webkit-flex-direction: -webkit-column;
        flex-direction: -webkit-column;
        flex-direction: -moz-column;
        -ms-flex-direction: -ms-column;
        flex-direction: -ms-column;
        flex-direction: -o-column;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -webkit-flex-direction: column;
        -ms-flex-direction: column;
        flex-direction: column;

        .des,
        h3 {
            -moz-flex-grow: 1;
            -o-flex-grow: 1;
            -webkit-box-flex: 1;
            -webkit-flex-grow: 1;
            -ms-flex-positive: 1;
            flex-grow: 1;
        }

        h3 {
            -webkit-box-align: center;
            -webkit-align-items: center;
            -ms-flex-align: center;
            align-items: center;
            -webkit-box-pack: center;
            -webkit-justify-content: center;
            -ms-flex-pack: center;
            justify-content: center;
            display: -webkit-box;
            display: -webkit-flex;
            display: -ms-flexbox;
            display: flex;
        }
    }
}

.flex-left {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: left;
    -webkit-justify-content: left;
    -ms-flex-pack: left;
    justify-content: left;
}

.flex-right {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: end;
    -webkit-justify-content: flex-end;
    -ms-flex-pack: end;
    justify-content: flex-end;
}

/*#endregion flex */

/*#region srollbar */
html::-webkit-scrollbar {
    width: 3px;
    height: 3px;
}

html::-webkit-scrollbar-track {
    background: rgb(111, 111, 111);
}

html::-webkit-scrollbar-thumb {
    width: 15px;
    background: $primary-color;
}

div::-webkit-scrollbar {
    width: 3px;
    height: 3px;
}

div::-webkit-scrollbar-track {
    background: rgb(111, 111, 111);
}

div::-webkit-scrollbar-thumb {
    width: 15px;
    background: $primary-color;
}

textarea::-webkit-scrollbar {
    width: 3px;
    height: 3px;
}

textarea::-webkit-scrollbar-track {
    background: rgb(111, 111, 111);
}

textarea::-webkit-scrollbar-thumb {
    width: 15px;
    background: $primary-color;
}

/*#endregion srollbar */

/*#region Button */
.btn {
    display: inline-block;
    padding: 7px 15px;
    cursor: pointer;
    font-weight: 500;
    border-radius: 10px;

    &.btn-primary {
        border: 1px solid $primary-color;
        background: $primary-color;
        color: $white;

        &:hover {
            background: transparentize($primary-color, 0.2);
            color: $white;
        }
    }

    &.btn-secondary {
        border: 1px solid $second-color;
        background: $second-color;
        color: $white;

        &:hover {
            background: transparentize($second-color, 0.2);
            color: $white;
        }
    }
}

/*#endregion */
@media screen and (min-width: 1920px) {
}

@media screen and (min-width: 1200px) {
    /*#region index*/
    /*#endregion*/
}

@media screen and (max-width: 1280px) {
}

@media screen and (max-width: 1024px) {

    /*#region core*/
    .container {
        width: 970px;
    }

    /*#endregion*/
}

@media screen and (max-width: 980px) {
}

@media screen and (max-width: 768px) {

    /*#region core*/
    .container {
        width: 750px;
    }

    .hidden-sm {
        display: none;
    }

    .visible-sm {
        display: block !important;
    }

    /*#endregion*/
}

@media screen and (max-width: 650px) {
}

@media screen and (max-width: 450px) {
    /*#region core*/
    .hidden-xs {
        display: none;
    }

    .visible-xs {
        display: block !important;
    }
    /*#endregion*/
}

@media screen and (max-width: 375px) {
}

@media screen and (max-width: 360px) {
    /*#region core*/
    /*#endregion*/
}

@media screen and (max-width: 320px) {
}

/*------------------------------------*\
  STYLE FIX ALL BROWSER
\*------------------------------------*/

/*#region firefox*/
@-moz-document url-prefix() {
    /*Code is here*/
}

/*#endregion*/

/*#region ie*/
@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
    .masonry-css > * {
        display: inline;
    }

    .flex-container {
        -webkit-box-pack: start;
        -webkit-justify-content: flex-start;
        -ms-flex-pack: start;
        justify-content: flex-start;
    }
}

/*#endregion*/

/*#region safari*/
@media screen and (min-color-index: 0) and(-webkit-min-device-pixel-ratio:0) {
    @media screen and (min-width: 1280px) {
    }

    @media screen and (max-width: 1024px) {
    }

    @media screen and (max-width: 768px) {
    }

    @media screen and (max-width: 450px) {
    }
}

/*#endregion*/
